# Contributing to `higher`
We want to make contributing to `higher` as easy and transparent as
possible.

## Pull Requests
We actively welcome your pull requests.

1. Fork the repo and create your branch from `master`.
2. If you've added code that should be tested, add tests.
3. If you've changed APIs, update the documentation.
4. Ensure the test suite passes.
5. Make sure your code lints.
6. If you haven't already, complete the Contributor License Agreement ("CLA").

## Contributor License Agreement ("CLA")
In order to accept your pull request, we need you to submit a CLA. You only need
to do this once to work on any of Facebook's open source projects.

Complete your CLA here: <https://code.facebook.com/cla>

## Issues
We use GitHub issues to track public bugs. Please ensure your description is
clear and has sufficient instructions to be able to reproduce the issue.

## Coding Style  
Please follow the [Google Style Guide](https://google.github.io/styleguide/pyguide.html) (yes, we know it's ironic, but the lead developer is used to it...).

## License
By contributing to `higher`, you agree that your contributions will be licensed
under the LICENSE file in the root directory of this source tree.
